# -*- coding: utf-8 -*-

package = 'collective.sidebar'

ICONS = {
    'cut': {
        'Bootstrap': 'bi bi-file-minus',
        'Glyphicons': 'glyphicon glyphicon-scissors',
        'Fontello': 'icon cut',
        'Font Awesome': 'fas fa-cut',
        'Font Awesome Pro': 'far fa-cut',
        'Font Awesome Light': 'fal fa-cut',
        'Font Awesome Duotone': 'fad fa-cut',
    },
    'copy': {
        'Bootstrap': 'bi bi-files',
        'Glyphicons': 'glyphicon glyphicon-duplicate',
        'Fontello': 'icon copy',
        'Font Awesome': 'far fa-copy',
        'Font Awesome Pro': 'far fa-copy',
        'Font Awesome Light': 'fal fa-copy',
        'Font Awesome Duotone': 'fad fa-copy',
    },
    'paste': {
        'Bootstrap': 'bi bi-clipboard',
        'Glyphicons': 'glyphicon glyphicon-open-file',
        'Fontello': 'icon paste',
        'Font Awesome': 'far fa-clipboard',
        'Font Awesome Pro': 'far fa-paste',
        'Font Awesome Light': 'fal fa-paste',
        'Font Awesome Duotone': 'fad fa-paste',
    },
    'delete': {
        'Bootstrap': 'bi bi-trash',
        'Glyphicons': 'glyphicon glyphicon-trash',
        'Fontello': 'icon delete',
        'Font Awesome': 'far fa-trash-alt',
        'Font Awesome Pro': 'far fa-trash-alt',
        'Font Awesome Light': 'fal fa-trash-alt',
        'Font Awesome Duotone': 'fad fa-trash-alt',
    },
    'rename': {
        'Bootstrap': 'bi bi-shuffle',
        'Glyphicons': 'glyphicon glyphicon-random',
        'Fontello': 'icon rename',
        'Font Awesome': 'fas fa-random',
        'Font Awesome Pro': 'far fa-random',
        'Font Awesome Light': 'fal fa-random',
        'Font Awesome Duotone': 'fad fa-random',
    },
    'ical_import_enable': {
        'Bootstrap': 'bi bi-calendar2-plus',
        'Glyphicons': 'glyphicon glyphicon-calendar',
        'Fontello': 'icon calendar',
        'Font Awesome': 'far fa-calendar',
        'Font Awesome Pro': 'far fa-calendar',
        'Font Awesome Light': 'fal fa-calendar',
        'Font Awesome Duotone': 'fad fa-calendar',
    },
    'ical_import_disable': {
        'Bootstrap': 'bi bi-calendar2-minus',
        'Glyphicons': 'glyphicon glyphicon-calendar',
        'Fontello': 'icon calendar',
        'Font Awesome': 'far fa-calendar',
        'Font Awesome Pro': 'far fa-calendar',
        'Font Awesome Light': 'fal fa-calendar',
        'Font Awesome Duotone': 'fad fa-calendar',
    },
    'star': {
        'Bootstrap': 'bi bi-star',
        'Glyphicons': 'glyphicon glyphicon-star',
        'Fontello': 'icon star',
        'Font Awesome': 'far fa-star',
        'Font Awesome Pro': 'far fa-star',
        'Font Awesome Light': 'fal fa-star',
        'Font Awesome Duotone': 'fad fa-star',
    },
    'menu-down': {
        'Bootstrap': 'bi bi-chevron-down',
        'Glyphicons': 'glyphicon glyphicon-menu-down',
        'Fontello': 'icon menu-down',
        'Font Awesome': 'fas fa-sort-down',
        'Font Awesome Pro': 'far fa-sort-down',
        'Font Awesome Light': 'fal fa-sort-down',
        'Font Awesome Duotone': 'fad fa-sort-down',
    },
    'menu-up': {
        'Bootstrap': 'bi bi-chevron-up',
        'Glyphicons': 'glyphicon glyphicon-menu-up',
        'Fontello': 'icon menu-up',
        'Font Awesome': 'fas fa-sort-up',
        'Font Awesome Pro': 'far fa-sort-up',
        'Font Awesome Light': 'fal fa-sort-up',
        'Font Awesome Duotone': 'fad fa-sort-up',
    },
    'menu-left': {
        'Bootstrap': 'bi bi-chevron-left',
        'Glyphicons': 'glyphicon glyphicon-menu-left',
        'Fontello': 'icon menu-left',
        'Font Awesome': 'fas fa-angle-left',
        'Font Awesome Pro': 'far fa-angle-left',
        'Font Awesome Light': 'fal fa-angle-left',
        'Font Awesome Duotone': 'fad fa-angle-left',
    },
    'menu-right': {
        'Bootstrap': 'bi bi-chevron-right',
        'Glyphicons': 'glyphicon glyphicon-menu-right',
        'Fontello': 'icon menu-right',
        'Font Awesome': 'fas fa-angle-right',
        'Font Awesome Pro': 'far fa-angle-right',
        'Font Awesome Light': 'fal fa-angle-right',
        'Font Awesome Duotone': 'fad fa-angle-right',
    },
    'menu-show': {
        'Bootstrap': 'bi bi-chevron-right',
        'Glyphicons': 'glyphicon glyphicon-triangle-right',
        'Fontello': 'icon right-open',
        'Font Awesome': 'fas fa-angle-double-right',
        'Font Awesome Pro': 'far fa-angle-double-right',
        'Font Awesome Light': 'fal fa-angle-double-right',
        'Font Awesome Duotone': 'fad fa-angle-double-right',
    },
    'cog': {
        'Bootstrap': 'bi bi-gear',
        'Glyphicons': 'glyphicon glyphicon-cog',
        'Fontello': 'icon cog',
        'Font Awesome': 'fas fa-cog',
        'Font Awesome Pro': 'far fa-cog',
        'Font Awesome Light': 'fal fa-cog',
        'Font Awesome Duotone': 'fad fa-cog',
    },
    'eye-open': {
        'Bootstrap': 'bi bi-eye',
        'Glyphicons': 'glyphicon glyphicon-eye-open',
        'Fontello': 'icon eye-open',
        'Font Awesome': 'far fa-eye',
        'Font Awesome Pro': 'far fa-eye',
        'Font Awesome Light': 'fal fa-eye',
        'Font Awesome Duotone': 'fad fa-eye',
    },
    'edit': {
        'Bootstrap': 'bi bi-pencil-square',
        'Glyphicons': 'glyphicon glyphicon-edit',
        'Fontello': 'icon edit',
        'Font Awesome': 'far fa-edit',
        'Font Awesome Pro': 'far fa-edit',
        'Font Awesome Light': 'fal fa-edit',
        'Font Awesome Duotone': 'fad fa-edit',
    },
    'folder-open': {
        'Bootstrap': 'bi bi-folder',
        'Glyphicons': 'glyphicon glyphicon-folder-open',
        'Fontello': 'icon folder-open',
        'Font Awesome': 'far fa-folder-open',
        'Font Awesome Pro': 'far fa-folder-open',
        'Font Awesome Light': 'fal fa-folder-open',
        'Font Awesome Duotone': 'fad fa-folder-open',
    },
    'time': {
        'Bootstrap': 'bi bi-clock',
        'Glyphicons': 'glyphicon glyphicon-time',
        'Fontello': 'icon time',
        'Font Awesome': 'far fa-clock',
        'Font Awesome Pro': 'far fa-clock',
        'Font Awesome Light': 'fal fa-clock',
        'Font Awesome Duotone': 'fad fa-clock',
    },
    'user': {
        'Bootstrap': 'bi bi-person',
        'Glyphicons': 'glyphicon glyphicon-user',
        'Fontello': 'icon user',
        'Font Awesome': 'far fa-user',
        'Font Awesome Pro': 'far fa-user',
        'Font Awesome Light': 'fal fa-user',
        'Font Awesome Duotone': 'fad fa-user',
    },
    'share': {
        'Bootstrap': 'bi bi-arrow-90deg-right',
        'Glyphicons': 'glyphicon glyphicon-user',
        'Fontello': 'icon share',
        'Font Awesome': 'fas fa-share-alt',
        'Font Awesome Pro': 'far fa-share-alt',
        'Font Awesome Light': 'fal fa-share-alt',
        'Font Awesome Duotone': 'fad fa-share-alt',
    },
    'record': {
        'Bootstrap': 'bi bi-bullseye',
        'Glyphicons': 'glyphicon glyphicon-record',
        'Fontello': 'icon record',
        'Font Awesome': 'fas fa-bullseye',
        'Font Awesome Pro': 'far fa-bullseye',
        'Font Awesome Light': 'fal fa-bullseye',
        'Font Awesome Duotone': 'fad fa-bullseye',
    },
    'transfer': {
        'Bootstrap': 'bi bi-arrow-left-right',
        'Glyphicons': 'glyphicon glyphicon-transfer',
        'Fontello': 'icon transfer',
        'Font Awesome': 'fas fa-exchange-alt',
        'Font Awesome Pro': 'far fa-exchange',
        'Font Awesome Light': 'fal fa-exchange',
        'Font Awesome Duotone': 'fad fa-exchange',
    },
    'option-horizontal': {
        'Bootstrap': 'bi bi-three-dots',
        'Glyphicons': 'glyphicon glyphicon-option-horizontal',
        'Fontello': 'icon option-horizontal',
        'Font Awesome': 'fas fa-toolbox',
        'Font Awesome Pro': 'far fa-toolbox',
        'Font Awesome Light': 'fal fa-toolbox',
        'Font Awesome Duotone': 'fad fa-toolbox',
    },
    'blackboard': {
        'Bootstrap': 'bi bi-pip',
        'Glyphicons': 'glyphicon glyphicon-blackboard',
        'Fontello': 'icon blackboard',
        'Font Awesome': 'fas fa-chalkboard',
        'Font Awesome Pro': 'far fa-chalkboard',
        'Font Awesome Light': 'fal fa-chalkboard',
        'Font Awesome Duotone': 'fad fa-chalkboard',
    },
    'pushpin': {
        'Bootstrap': 'bi bi-geo',
        'Glyphicons': 'glyphicon glyphicon-pushpin',
        'Fontello': 'icon pushpin',
        'Font Awesome': 'fas fa-thumbtack',
        'Font Awesome Pro': 'far fa-thumbtack',
        'Font Awesome Light': 'fal fa-thumbtack',
        'Font Awesome Duotone': 'fad fa-thumbtack',
    },
    'plus': {
        'Bootstrap': 'bi bi-plus',
        'Glyphicons': 'glyphicon glyphicon-plus',
        'Fontello': 'icon plus',
        'Font Awesome': 'fas fa-plus',
        'Font Awesome Pro': 'far fa-plus',
        'Font Awesome Light': 'fal fa-plus',
        'Font Awesome Duotone': 'fad fa-plus',
    },
}
